mod {
    SHARED {
        defaultLanguageFlag = de
        defaultLanguageLabel = Deutsch
    }
    web_txtemplavoilaM1 {
        enableDeleteIconForLocalElements = 1
        enableEditIconForRefElements = 2
        doktypesRenderAsEdit =
        additionalDoktypesRenderToEditView =
    }
    web_list {
        newPageWiz.overrideWithExtension >
        newContentWiz.overrideWithExtension >
    }
}

mod.wizards.newContentElement.renderMode = tabs
templavoila.wizards.newContentElement.renderMode < mod.wizards.newContentElement.renderMode

mod.wizards.newContentElement.wizardItems.common.elements.header {
    icon = gfx/c_wiz/regular_header.gif
    title = LLL:EXT:imia_base/Resources/Private/Language/Wizard.xlf:contentelement_common_header
    description = LLL:EXT:imia_base/Resources/Private/Language/Wizard.xlf:contentelement_common_header_description
    tt_content_defValues {
        CType = header
    }
}
templavoila.wizards.newContentElement.wizardItems.common.elements.header < mod.wizards.newContentElement.wizardItems.common.elements.header

mod.wizards.newContentElement.wizardItems.common.show := addToList(header)
templavoila.wizards.newContentElement.wizardItems.common.show := addToList(header)


TCEMAIN {
    table {
        pages {
            disablePrependAtCopy = 1
        }
        tt_content {
            disablePrependAtCopy = 1
            disableHideAtCopy = 1
        }
        tt_address {
            disablePrependAtCopy = 1
        }
    }
    permissions {
        userid = 1
        groupid = 1
        user = show, editcontent, edit, new, delete
        group = show, editcontent, edit, new, delete
        everybody =
    }
}

TCAdefaults {
    tt_content {
        header_layout = 100
        imageorient = 2
        imagecols = 1
    }
    pages {
        l18n_cfg = 2
    }
}

RTE {
    default {
        defaultContentLanguage = de
        enableWordClean = 1
        removeTrailingBR = 1
        removeComments = 1
        removeTags = center, font, o:p, sdfield
        removeTagsAndContents = link, meta, script, style, title

        ignoreMainStyleOverride = 1
        showTagFreeClasses = 1

        blindImageOptions = magic,dragdrop

        # class, blockstylelabel, blockstyle, textstylelabel, textstyle,
        # formatblock, bold, italic, subscript, superscript,
        # orderedlist, unorderedlist, outdent, indent, textindicator,
        # insertcharacter, link, table, findreplace, chMode, removeformat, undo, redo, about,
        # toggleborders, tableproperties,
        # rowproperties, rowinsertabove, rowinsertunder, rowdelete, rowsplit,
        # columninsertbefore, columninsertafter, columndelete, columnsplit,
        # cellproperties, cellinsertbefore, cellinsertafter, celldelete, cellsplit, cellmerge,
        # hMode, underline, strikethrough, superscript, lefttoright, righttoleft, left, center, right, justifyfull, inserttag,  removeformat, copy, cut, paste

        showButtons (
            bold, italic, emphasis, underline,
            strikethrough, link, left, center, right, orderedlist, unorderedlist, image, removeformat, findreplace,
            copy, cut, paste, undo, redo, insertcharacter, chMode
        )

        proc {
            overrideMode = css_transform
            allowTags = h3, h4, p, br, span, ul, ol, li, strong, b, i, u, strike, a, img, nobr
            allowedClasses = align-left, align-center, align-right
        }

        buttons {
            image.options.plain {
                maxWidth = 889
                maxHeight = 1000
            }
            formatblock.removeItems = h1, h2, h5, h6, pre, address, blockquote, div, section, article, footer, header, nav, menu, aside
            spellcheck {
                enablePersonalDictionaries = 1
                dictionaries.items = de,en
                dictionaries.restrictToItems = de,en
            }
            textstyle.tags {
                span.allowedClasses =
            }
            blockstyle.tags {
                div.allowedClasses =
                p.allowedClasses =
            }
            link.properties.class.allowedClasses =
        }
    }

    classes := removeFromList(csc-frame-frame1, csc-frame-frame2, important, name-of-person, detail)
}
