<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2013 IMIA net based solutions (d.frerich@imia.de)
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

if (!defined ('TYPO3_MODE')) {
    die ('Access denied.');
}

$extPath = \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath('imia_base');

return array(
    'IMIA\Base\Hook\BackendController' => $extPath . 'Classes/Hook/BackendController.php',
    'IMIA\Base\Hook\TypoScriptFrontendController' => $extPath . 'Classes/Hook/TypoScriptFrontendController.php',
    'IMIA\Base\Hook\PageRepositoryGetRecordOverlayHook' => $extPath . 'Classes/Hook/PageRepositoryGetRecordOverlayHook.php',
    'IMIA\Base\Hook\PageRenderer' => $extPath . 'Classes/Hook/PageRenderer.php',
    'IMIA\Base\TypoScript\Parser\TypoScriptParser' => $extPath . 'Classes/TypoScript/Parser/TypoScriptParser.php',
    'IMIA\Base\User\Canonical' => $extPath . 'Classes/User/Canonical.php',
    'IMIA\Base\Plugin\TemplavoilaContentSlide' => $extPath . 'Classes/Plugin/TemplavoilaContentSlide.php',
    'IMIA\Base\Utility\Cache' => $extPath . 'Classes/Utility/Cache.php',
    'IMIA\Base\Utility\AbstractHelper' => $extPath . 'Classes/Utility/AbstractHelper.php',
    'IMIA\Base\Utility\Helper' => $extPath . 'Classes/Utility/Helper.php',
    'IMIA\Base\Utility\ExtensionUtility' => $extPath . 'Classes/Utility/ExtensionUtility.php',
    'IMIA\Base\Utility\TemplateService' => $extPath . 'Classes/Utility/TemplateService.php',
    'IMIA\Base\Xclass\Backend\View\LogoView' => $extPath . 'Classes/Xclass/Backend/View/LogoView.php',
    'IMIA\Base\Xclass\Core\TypoScript\TemplateService' => $extPath . 'Classes/Xclass/Core/TypoScript/TemplateService.php',
    'IMIA\Base\Xclass\Core\TypoScript\ExtendedTemplateService' => $extPath . 'Classes/Xclass/Core/TypoScript/ExtendedTemplateService.php',
    'IMIA\Base\Xclass\Core\TypoScript\ConfigurationForm' => $extPath . 'Classes/Xclass/Core/TypoScript/ConfigurationForm.php',
    'IMIA\Base\Xclass\Core\Page\PageRenderer' => $extPath . 'Classes/Xclass/Core/Page/PageRenderer.php',
    'IMIA\Base\Xclass\Templavoila\Plugin\Pi1' => $extPath . 'Classes/Xclass/Templavoila/Plugin/Pi1.php',
    'IMIA\Base\Xclass\Templavoila\Module\Module1' => $extPath . 'Classes/Xclass/Templavoila/Module/Module1.php',
    'IMIA\Base\Xclass\Rsaauth\Keypair' => $extPath . 'Classes/Xclass/Rsaauth/Keypair.php',
    'IMIA\Base\Xclass\Rsaauth\Backend\CommandLineBackend' => $extPath . 'Classes/Xclass/Rsaauth/Backend/CommandLineBackend.php',
    'IMIA\Base\Xclass\Rsaauth\Backend\PhpBackend' => $extPath . 'Classes/Xclass/Rsaauth/Backend/PhpBackend.php',
    'IMIA\Base\Xclass\Rsaauth\Hook\FrontendLoginHook' => $extPath . 'Classes/Xclass/Rsaauth/Hook/FrontendLoginHook.php',
);